| Home | Libraries | People | FAQ | More

## Struct template sg_setopt

boost::intrusive::sg_setopt

## Synopsis

    // In header: <boost/intrusive/sgtree.hpp>

    template<typename ValueTraits, typename Compare, typename SizeType,
             bool FloatingPoint>
    struct sg_setopt {
      // types
      typedef ValueTraits value_traits;
      typedef Compare     compare;
      typedef SizeType    size_type;
      static const bool floating_point;
    };